C  Program for iterative refinement of solutions of linear systems.
C  Uses single-precision data, but double-precision calculation of
C  residuals.
C
C  File:  refine.fcm		Header:  refine.h

C  Calculate solution of  A.X = B  using iterative refinement until
C
C	maxval(| X[i+1] - X[i] |) <= eps*maxval(|X[i+1]|)
C
C  or R iterations have been performed.
C  Returns solution, sets R to actual number of iterations.  No other argument
C  is altered.  Uses routines in lineqn.fcm.

      INTERFACE
      function IterGauss(A, B, N, R, eps)
      integer N, R
      real, array(N,N) :: A, B, IterGauss
      real eps
CMF$  LAYOUT A(,), B(,), IterGauss(,)
      END INTERFACE
